BUTTERCUP(1)

NAME
buttercup - behaviour-driven testing for Emacs Lisp packages

SYNOPSIS
buttercup [-L DIR] [--p|--pattern PATTERN] dir...

DESCRIPTION
buttercup invokes the Buttercup testing framework for Emacs Lisp addons for tests found in the directories passed on the command line.

OPTIONS

-p PATTERN, --pattern PATTERN
    Only run tests in files matching the Emacs regular expression PATTERN. May be passed multiple times.

-L DIR
    Add DIR to the Emacs load path when invoking Emacs in batch mode to run the test suite. For example, most invocations will pass -L . to include the current project. May be passed multiple times.